Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze
Class UbmXbrlValidator

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze.UbmXbrlValidator

All Implemented Interfaces:
  ubmatrix.xbrl.common.src.ISimpleProgressNotify

    public class UbmXbrlValidator

extends java.lang.Object
implements ubmatrix.xbrl.common.src.ISimpleProgressNotify

Clase: UbmXbrlValidator
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`UbmXbrlValidator()` Default constructor - mainly initializes the Xbrl Processor

Method Summary
`void` | `cancel()`
`void` | `clearMemoList()`
`java.lang.String` | `getBasePath()` Accessor method - returns the base path, which is the COREROOT
`java.util.ArrayList` | `getMemoList()` Accessor method - returns the list of memos generated during loading the file
`java.lang.String` | `getSubstitutedLocalizedString(ubmatrix.xbrl.common.memo.src.IMemo e)` This method illustrates the use of Localizer, URIResolver and Formatter.
`ubmatrix.xbrl.common.src.IDTS` | `load(java.lang.String fileUri, int fileType)` This method loads a file from the specified fileUri.
`static void` | `main(java.lang.String[] args)` The main entry point for the application.
`boolean` | `onProgress(java.lang.Object type, long rate, java.lang.Object[] parameters)`
`void` | `onStart(java.lang.Object type, long start, long stop, boolean cancelAllowed, java.lang.String message)`
`void` | `onStop(java.lang.Object type, java.lang.String message)`
`void` | `pause(boolean flag)`
`void` | `validate(ubmatrix.xbrl.common.src.IDTS dts)` This method validates a valid DTS passed to.
`void` | `validate(ubmatrix.xbrl.common.src.IDTS dts, boolean FRTA)` This overloaded method validates the DTS passed against FRTA if the option is true

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UbmXbrlValidator

    public UbmXbrlValidator()
                     throws java.lang.Exception

  Default constructor - mainly initializes the Xbrl Processor

  Throws:
    `java.lang.Exception`

Method Detail

### getBasePath

    public java.lang.String getBasePath()

  Accessor method - returns the base path, which is the COREROOT

  Returns:
    base path, which is the COREROOT

### getMemoList

    public java.util.ArrayList getMemoList()

  Accessor method - returns the list of memos generated during loading the file

### clearMemoList

    public void clearMemoList()

### getSubstitutedLocalizedString

    public java.lang.String getSubstitutedLocalizedString(ubmatrix.xbrl.common.memo.src.IMemo e)
                                                   throws ubmatrix.xbrl.common.formatter.src.FormatterException

  This method illustrates the use of Localizer, URIResolver and Formatter. IMemo is passed to this method, from which it gets the memo particles. Then it calls the URIResolver with the memoUri and the language, which in turn calls the Localizer to return the localized string for that memoUri and language. Note, in this example, English language 'en' is used, if you want to try different language, make sure you have the appropriate localizer file. Finally, the localized string and the particles are passed to Formatter which returns the formatted string for displaying the error message

  Parameters:
    `e` -
  Returns:
    the localized string for that memoUri and language
  Throws:
    `ubmatrix.xbrl.common.formatter.src.FormatterException`

### load

    public ubmatrix.xbrl.common.src.IDTS load(java.lang.String fileUri,
                                              int fileType)
                                       throws ubmatrix.xbrl.common.exception.src.CoreException

  This method loads a file from the specified fileUri. A fileType, indicating whether it is a Taxonomy, Linkbase or Instance document, is also passed. After successful load, this method returns the DTS.

  Parameters:
    `fileUri` -
    `fileType` -
  Returns:
    DTS - Discoverable Taxonomy Set
  Throws:
    `ubmatrix.xbrl.common.exception.src.CoreException`

### validate

    public void validate(ubmatrix.xbrl.common.src.IDTS dts)
                  throws java.lang.Exception

  This method validates a valid DTS passed to. It validates based on the validators registerd.

  Parameters:
    `dts` -
  Throws:
    `java.lang.Exception`

### validate

    public void validate(ubmatrix.xbrl.common.src.IDTS dts,
                         boolean FRTA)

  This overloaded method validates the DTS passed against FRTA if the option is true

  Parameters:
    `dts` -
    `FRTA` -

### main

    public static void main(java.lang.String[] args)

  The main entry point for the application.

### cancel

    public void cancel()

  Specified by:
    `cancel` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### pause

    public void pause(boolean flag)

  Specified by:
    `pause` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### onStart

    public void onStart(java.lang.Object type,
                        long start,
                        long stop,
                        boolean cancelAllowed,
                        java.lang.String message)

  Specified by:
    `onStart` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### onProgress

    public boolean onProgress(java.lang.Object type,
                              long rate,
                              java.lang.Object[] parameters)

  Specified by:
    `onProgress` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### onStop

    public void onStop(java.lang.Object type,
                       java.lang.String message)

  Specified by:
    `onStop` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD